/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 系统环境数据源信息
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-09-12 17:22:54  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "系统环境数据源信息")
public class CpProjectEnvDs extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_envId = "envId";
  public static final String KEY_dsType = "dsType";
  public static final String KEY_connName = "connName";
  public static final String KEY_connHost = "connHost";
  public static final String KEY_connPort = "connPort";
  public static final String KEY_connDatabase = "connDatabase";
  public static final String KEY_connUsername = "connUsername";
  public static final String KEY_connPassword = "connPassword";
  public static final String KEY_advancedConfig = "advancedConfig";
  public static final String KEY_memo = "memo";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_deleted = "deleted";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 环境id<br>
   */
  @ApiModelProperty("环境id")
  @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
  private String envId;
  /**
   * 数据源类型 1-mysql，2-Oracle，3-MongoDB，4-达梦，5-OceanBase，6-db2<br>
   */
  @ApiModelProperty("数据源类型 1-mysql，2-Oracle，3-MongoDB，4-达梦，5-OceanBase，6-db2")
  private Integer dsType;
  /**
   * 连接名称<br>
   */
  @ApiModelProperty("连接名称")
  @Size(max = 128, message="连接名称-connName: 数据长度不能 > 128" )
  private String connName;
  /**
   * 主机<br>
   */
  @ApiModelProperty("主机")
  @Size(max = 128, message="主机-connHost: 数据长度不能 > 128" )
  private String connHost;
  /**
   * 端口<br>
   */
  @ApiModelProperty("端口")
  private Integer connPort;
  /**
   * 数据库<br>
   */
  @ApiModelProperty("数据库")
  @Size(max = 32, message="数据库-connDatabase: 数据长度不能 > 32" )
  private String connDatabase;
  /**
   * 用户名<br>
   */
  @ApiModelProperty("用户名")
  @Size(max = 32, message="用户名-connUsername: 数据长度不能 > 32" )
  private String connUsername;
  /**
   * 密码<br>
   */
  @ApiModelProperty("密码")
  @Size(max = 128, message="密码-connPassword: 数据长度不能 > 128" )
  private String connPassword;
  /**
   * 高级属性<br>
   */
  @ApiModelProperty("高级属性")
  @Size(max = 512, message="高级属性-advancedConfig: 数据长度不能 > 512" )
  private String advancedConfig;
  /**
   * 描述<br>
   */
  @ApiModelProperty("描述")
  @Size(max = 255, message="描述-memo: 数据长度不能 > 255" )
  private String memo;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 是否删除<br>
   */
  @ApiModelProperty("是否删除")
  private Boolean deleted;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  @Override
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  @Override
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 环境id<br>
   */
  public String getEnvId()
  {
      return envId;
    }

  /**
   * 环境id<br>
   *
   * @param envId 环境id
   */
  public void setEnvId(String envId)
  {
      this.envId = envId;
    }
  /**
   * 数据源类型 1-mysql，2-Oracle，3-MongoDB，4-达梦，5-OceanBase，6-db2<br>
   */
  public Integer getDsType()
  {
      return dsType;
    }

  /**
   * 数据源类型 1-mysql，2-Oracle，3-MongoDB，4-达梦，5-OceanBase，6-db2<br>
   *
   * @param dsType 数据源类型 1-mysql，2-Oracle，3-MongoDB，4-达梦，5-OceanBase，6-db2
   */
  public void setDsType(Integer dsType)
  {
      this.dsType = dsType;
    }
  /**
   * 连接名称<br>
   */
  public String getConnName()
  {
      return connName;
    }

  /**
   * 连接名称<br>
   *
   * @param connName 连接名称
   */
  public void setConnName(String connName)
  {
      this.connName = connName;
    }
  /**
   * 主机<br>
   */
  public String getConnHost()
  {
      return connHost;
    }

  /**
   * 主机<br>
   *
   * @param connHost 主机
   */
  public void setConnHost(String connHost)
  {
      this.connHost = connHost;
    }
  /**
   * 端口<br>
   */
  public Integer getConnPort()
  {
      return connPort;
    }

  /**
   * 端口<br>
   *
   * @param connPort 端口
   */
  public void setConnPort(Integer connPort)
  {
      this.connPort = connPort;
    }
  /**
   * 数据库<br>
   */
  public String getConnDatabase()
  {
      return connDatabase;
    }

  /**
   * 数据库<br>
   *
   * @param connDatabase 数据库
   */
  public void setConnDatabase(String connDatabase)
  {
      this.connDatabase = connDatabase;
    }
  /**
   * 用户名<br>
   */
  public String getConnUsername()
  {
      return connUsername;
    }

  /**
   * 用户名<br>
   *
   * @param connUsername 用户名
   */
  public void setConnUsername(String connUsername)
  {
      this.connUsername = connUsername;
    }
  /**
   * 密码<br>
   */
  public String getConnPassword()
  {
      return connPassword;
    }

  /**
   * 密码<br>
   *
   * @param connPassword 密码
   */
  public void setConnPassword(String connPassword)
  {
      this.connPassword = connPassword;
    }
  /**
   * 高级属性<br>
   */
  public String getAdvancedConfig()
  {
      return advancedConfig;
    }

  /**
   * 高级属性<br>
   *
   * @param advancedConfig 高级属性
   */
  public void setAdvancedConfig(String advancedConfig)
  {
      this.advancedConfig = advancedConfig;
    }
  /**
   * 描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 描述<br>
   *
   * @param memo 描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 创建人<br>
   */
  @Override
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  @Override
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  @Override
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  @Override
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  @Override
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  @Override
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  @Override
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  @Override
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 是否删除<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 是否删除<br>
   *
   * @param deleted 是否删除
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }

  public CpProjectEnvDs()
  {
  }

}
